Skip to main content

Get All Queue Info V2

GET 

/session/v2/queues

Get all the available and active queues that sessions can try to join

Required Permissions:

  • For any player (including themselves) any of: session:*, session:read:config

Required Session Permissions: None

Request

Query Parameters

    cursor Cursor

    Default value: 0

    page_size Page Size

    Possible values: >= 1 and <= 50

    Default value: 50

Header Parameters

    if-none-match If-None-Match

    If you provide the ETag that matches the current ETag for this resource, a 304 response will be returned - indicating that the resource has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    queues

    object[]

    required

    List of queues

  • Array [

  • queue_id Queue Id (string)required

    Possible values: non-empty and <= 128 characters

    ID to uniquely identify this queue

    active Active (boolean)required

    Flag for whether or not the queue is active, and can be joined or sessions created from it

    max_queue_group_size Max Queue Group Size (integer)required

    The maximum size of a group that can join this queue

    match_making_template_group_id uuidrequired

    ID for which group of matchmaking templates/rules will be used when joining this queue

    legacy_config

    object

    Legacy config to help migrate clients

    property name* string
  • ]

Loading...